Subject: Re: [CCAMP] Request for early IANA Allocation of values for new flag and RRO sub-object in draft-ietf-ccamp-rsvp-te-srlg-collect-05

From: OSCAR GONZALEZ DE DIOS <[email-masked]>
Date: Fri, 1 Aug 2014 06:46:08 +0000

Hi Adrian, Lou,

  I have posted a new version of the draft
draft-ietf-ccamp-rsvp-te-srlg-collect, in which it is highlighted in the
IANA section the values whose early allocation is requested.

  Should there be any issues with the IANA section, let the authors know
asap.

   Best Regards,

      Óscar

El 22/07/14 22:23, "Adrian Farrel" <[email-masked]> escribió:

>Hi,
>
>I approve.
>
>Please check that the IANA section of the draft is nice and clean so IANA
>can make the right allocations with no ambiguity.
>OR
>Wait a few days for me to have time to check the draft.
>
>Thanks,
>Adrian
>
>> -----Original Message-----
>> From: Lou Berger [mailto:[email-masked]]
>> Sent: 22 July 2014 23:18
>> To: [email-masked]
>> Cc: CCAMP
>> Subject: Fwd: Request for early IANA Allocation of values for new flag
>>and RRO
>> sub-object in draft-ietf-ccamp-rsvp-te-srlg-collect-05
>>
>>
>> Adrian,
>> The WG chairs support the following early allocation request:
>>
>> 1) In the "Attributes TLV Space" section of the "Resource Reservation
>> Protocol-Traffic Engineering (RSVP-TE) Parameters" registry located in
>> https://www.iana.org/assignments/rsvp-te-
>> <https://www.iana.org/assignments/rsvp-te-parameters/rsvp-te-
>> parameters.xhtml>
>> parameters/rsvp-te-parameters.xhtml
>> <https://www.iana.org/assignments/rsvp-te-parameters/rsvp-te-
>> parameters.xhtml>:
>>
>> Type (value to be assigned)
>> Name SRLG Collection Flag
>> Allowed on LSP_ATTRIBUTES yes
>> Allowed on LSP_REQUIRED_ATTRIBUTES yes
>>
>> 2) In the Sub-object type ‒ 21 ROUTE_RECORD portion of the Resource
>> Reservation Protocol (RSVP) Parameters registry located at
>> http://www.iana.org/assignments/rsvp-parameters/rsvp-parameters.xhtml:
>> Value: (value to be assigned) 34 is suggested to align with ERO
>> Description: SRLG sub-object
>>
>> 3) In the "Error Codes and Globally-Defined Error Value Sub-Codes,
>> Sub-Codes ‒ 2 Policy Control Failure" section of the "RSVP PARAMETERS"
>> registry located at http://www.iana.org/assignments/rsvp-parameters.
>> Value: (value to be assigned)
>> Description: SRLG sub-object
>>
>> Do you approve this request -- so that we can submit the request (per
>> stpe 5 of RFC7120)?
>>
>> Thank you,
>> Lou (and Deborah)
>>
>>
>> -------- Original Message --------
>> Subject:     Request for early IANA Allocation of values for new flag and
>> RRO sub-object in draft-ietf-ccamp-rsvp-te-srlg-collect-05
>> Date:        Tue, 22 Jul 2014 15:19:35 +0000
>> From:        OSCAR GONZALEZ DE DIOS <[email-masked]>
>> To:  Lou Berger <[email-masked]>, DEBORAH A BRUNGARD
>> <[email-masked]>
>> CC:  CCAMP <[email-masked]>
>>
>>
>>
>> Dear CCAMP WG Chairs,
>>
>> Following the procedure for Early IANA Allocation of Standards Track
>> Code Points defined in Section 3.1 of RFC 7120, on behalf of the authors
>> of the WG draft "RSVP-TE Extensions for Collecting SRLG Information",
>> draft-ietf-ccamp-rsvp-te-srlg-collect-05, it is requested to CCAMP WG
>> chairs the early allocation of the following values:
>>
>> --> Value for a new flag, named "SRLG Collection Flag" in the RSVP
>> Attribute Bit Flags space. IANA has created a registry and manages the
>> space of attributes bit flags of Attribute Flags TLV, as described in
>> section 11.3 of [RFC5420], in the "Attributes TLV Space" section of the
>> "Resource Reservation Protocol-Traffic Engineering (RSVP-TE) Parameters"
>> registry located in
>> https://www.iana.org/assignments/rsvp-te-parameters/rsvp-te-
>> parameters.xhtml.
>> The document "RSVP-TE Extensions for Collecting SRLG
>> Information",draft-ietf-ccamp-rsvp-te-srlg-collect-05, introduces and
>> defines a new Attribute Bit Flag, named "SRLG Collection Flag". It is
>> requested that IANA makes an early assignment of the value of the "SRLG
>> Collection Flag" from the Attribute Bit Flags.
>>
>> --> Type for a new RRO sub-object, named "SRLG sub-object " within the
>> ROUTE_RECORD Object space. IANA has made assignments in the "Class
>> Names, Class Numbers, and Class Types" section of the "RSVP PARAMETERS"
>> registry located at http://www.iana.org/assignments/rsvp-parameters. It
>> is requested that IANA makes an early assignment of the type of the new
>> proposed RRO sub object in the document
>> draft-ietf-ccamp-rsvp-te-srlg-collect-05 named "SRLG sub-object" from
>> the ROUTE_RECORD portions of the mentioned registry.
>>
>> —> Value for a new Policy Control Failure Error sub code. IANA has made
>> assignments in the "Error Codes and Globally-Defined Error Value
>> Sub-Codes" section of the "RSVP
>> PARAMETERS" registry located at
>> http://www.iana.org/assignments/rsvp-parameters. We request that IANA
>> makes an early assignment of a new error sub-code from the Policy
>> Control Failure Sub-Codes registry.
>>
>> The main reason for the request of the early allocation is to facilitate
>> interoperability of early implementations, as other WG documents have
>> also new values in the same registry and clashes have been identified
>> with the suggested values in the draft.
>>
>> Best Regards,
>>
>> Oscar
>>
>>
>>
>> ------------------------------------------------------------------------
>>
>> Este mensaje y sus adjuntos se dirigen exclusivamente a su destinatario,
>> puede contener información privilegiada o confidencial y es para uso
>> exclusivo de la persona o entidad de destino. Si no es usted. el
>> destinatario indicado, queda notificado de que la lectura, utilización,
>> divulgación y/o copia sin autorización puede estar prohibida en virtud
>> de la legislación vigente. Si ha recibido este mensaje por error, le
>> rogamos que nos lo comunique inmediatamente por esta misma vía y proceda
>> a su destrucción.
>>
>> The information contained in this transmission is privileged and
>> confidential information intended only for the use of the individual or
>> entity named above. If the reader of this message is not the intended
>> recipient, you are hereby notified that any dissemination, distribution
>> or copying of this communication is strictly prohibited. If you have
>> received this transmission in error, do not read it. Please immediately
>> reply to the sender that you have received this communication in error
>> and then delete it.
>>
>> Esta mensagem e seus anexos se dirigem exclusivamente ao seu
>> destinatário, pode conter informação privilegiada ou confidencial e é
>> para uso exclusivo da pessoa ou entidade de destino. Se não é vossa
>> senhoria o destinatário indicado, fica notificado de que a leitura,
>> utilização, divulgação e/ou cópia sem autorização pode estar proibida em
>> virtude da legislação vigente. Se recebeu esta mensagem por erro,
>> rogamos-lhe que nos o comunique imediatamente por esta mesma via e
>> proceda a sua destruição
>
>
>_______________________________________________
>CCAMP mailing list
>[email-masked]
>https://www.ietf.org/mailman/listinfo/ccamp

________________________________

Este mensaje y sus adjuntos se dirigen exclusivamente a su destinatario, puede contener información privilegiada o confidencial y es para uso exclusivo de la persona o entidad de destino. Si no es usted. el destinatario indicado, queda notificado de que la lectura, utilización, divulgación y/o copia sin autorización puede estar prohibida en virtud de la legislación vigente. Si ha recibido este mensaje por error, le rogamos que nos lo comunique inmediatamente por esta misma vía y proceda a su destrucción.

The information contained in this transmission is privileged and confidential information intended only for the use of the individual or entity named above. If the reader of this message is not the intended recipient, you are hereby notified that any dissemination, distribution or copying of this communication is strictly prohibited. If you have received this transmission in error, do not read it. Please immediately reply to the sender that you have received this communication in error and then delete it.

Esta mensagem e seus anexos se dirigem exclusivamente ao seu destinatário, pode conter informação privilegiada ou confidencial e é para uso exclusivo da pessoa ou entidade de destino. Se não é vossa senhoria o destinatário indicado, fica notificado de que a leitura, utilização, divulgação e/ou cópia sem autorização pode estar proibida em virtude da legislação vigente. Se recebeu esta mensagem por erro, rogamos-lhe que nos o comunique imediatamente por esta mesma via e proceda a sua destruição

---

From: Lou Berger <[email-masked]>
Date: Fri, 01 Aug 2014 13:16:31 -0400

Oscar,
    Thanks for the update.  I think you missed a couple of things that
were in my request to Adrian:

1. For Attributes TLV Space, please provide all columns in the registry,
i.e.,  "Type", "Name", "Allowed on LSP_ATTRIBUTES", "Allowed on
LSP_REQUIRED_ATTRIBUTES Reference".

2. Add "value 34 is suggested to align with exclude route" (I mistakenly
said ERO in my previous mail)

Once these changes are submitted I can forward the early allocation request.

Thanks,
Lou

---

From: OSCAR GONZALEZ DE DIOS <[email-masked]>
Date: Sat, 2 Aug 2014 04:10:22 +0000

Hi Lou,

   True... I must have missed that part.

   I'll do the update asap and post the new version with the IANA section modified.

  Oscar

Enviado desde mi iPhone

> El 01/08/2014, a las 11:16, "Lou Berger" <[email-masked]> escribió:
>
> Oscar,

---

From: OSCAR GONZALEZ DE DIOS <[email-masked]>
Date: Wed, 20 Aug 2014 16:45:24 +0000

Hi Lou,

  I think we have a misunderstanding. You are referring in your mail to
the Attributes TLV space (where a new entry should add  "Allowed on
LSP_ATTRIBUTES", "Allowed on LSP_REQUIRED_ATTRIBUTES Reference”). We are
referring to the Attribute Flags section of
https://www.iana.org/assignments/rsvp-te-parameters/rsvp-te-parameters.xhtm
l which compiles the flags of the Attribute Flags TLV.

The fields there are:

Bit No  Name    Attribute Flags Path    Attribute Flags Resv    RRO     Reference

RFC 5420 says (textually):

"Each bit should be tracked with the following qualities:

   - Bit number
   - Defining RFC
   - Name of bit
   - Whether there is meaning in the Attribute Flags TLV on a Path
   - Whether there is meaning in the Attribute Flags TLV on a Resv
   - Whether there is meaning in the RRO Attributes subobject
“

I guess these are the columns we should include. Right?

Óscar

El 01/08/14 13:16, "Lou Berger" <[email-masked]> escribió:

>>>>It
>> Este mensaje y sus adjuntos se dirigen exclusivamente a su
>>destinatario, puede contener información privilegiada o confidencial y
>>es para uso exclusivo de la persona o entidad de destino. Si no es
>>usted. el destinatario indicado, queda notificado de que la lectura,
>>utilización, divulgación y/o copia sin autorización puede estar
>>prohibida en virtud de la legislación vigente. Si ha recibido este
>>mensaje por error, le rogamos que nos lo comunique inmediatamente por
>>esta misma vía y proceda a su destrucción.
>>

---

From: "Adrian Farrel" <[email-masked]>
Date: Mon, 25 Aug 2014 19:24:19 +0100

Hi,

Not sure whether Lou missed this or just didn't work over the weekend :-)

Anyway, yes, you need to supply a fully functional IANA Considerations section that tells IANA exactly what to do.

The easiest way to do this is:
- cut and paste the name of the registry
- cut and paste the name of the sub-registry
- cut and paste the table column headers
   (use the ASCII version of the registry)
- fill in the details

A

> From: OSCAR GONZALEZ DE DIOS [mailto:[email-masked]]
> Sent: 20 August 2014 17:45
> To: Lou Berger
> Cc: [email-masked]; [email-masked]; 'CCAMP'
> Subject: Re: [CCAMP] Request for early IANA Allocation of values for new flag
> and RRO sub-object in draft-ietf-ccamp-rsvp-te-srlg-collect-05
> 
> Hi Lou,
> 
> parameters.xhtm
> >>>>destinatario,
> Este mensaje y sus adjuntos se dirigen exclusivamente a su destinatario, puede
> contener información privilegiada o confidencial y es para uso exclusivo de la
> persona o entidad de destino. Si no es usted. el destinatario indicado, queda
> notificado de que la lectura, utilización, divulgación y/o copia sin autorización
> puede estar prohibida en virtud de la legislación vigente. Si ha recibido este
> mensaje por error, le rogamos que nos lo comunique inmediatamente por esta
> misma vía y proceda a su destrucción.
> 
> The information contained in this transmission is privileged and confidential
> information intended only for the use of the individual or entity named above. If
> the reader of this message is not the intended recipient, you are hereby notified
> that any dissemination, distribution or copying of this communication is strictly
> prohibited. If you have received this transmission in error, do not read it. Please
> immediately reply to the sender that you have received this communication in
> error and then delete it.
> 
> Esta mensagem e seus anexos se dirigem exclusivamente ao seu destinatário,
> pode conter informação privilegiada ou confidencial e é para uso exclusivo da
> pessoa ou entidade de destino. Se não é vossa senhoria o destinatário indicado,
> fica notificado de que a leitura, utilização, divulgação e/ou cópia sem autorização
> pode estar proibida em virtude da legislação vigente. Se recebeu esta mensagem
> por erro, rogamos-lhe que nos o comunique imediatamente por esta mesma via
> e proceda a sua destruição

---

From: "Adrian Farrel" <[email-masked]>
Date: Mon, 25 Aug 2014 19:31:43 +0100

Sorry that I was silent on this (it found its way into my CCAMP folder).

Yes, I support this request, but please know that IANA process the request not according to the content of your email but based on the text in the IANA Considerations section of the most recent revision of the draft. So that needs to exactly what you want it to say.

Cheers,
Adrian

> From: CCAMP [mailto:[email-masked]] On Behalf Of Lou Berger
> Sent: 22 July 2014 23:18
> Subject: [CCAMP] Fwd: Request for early IANA Allocation of values for new flag

---

From: OSCAR GONZALEZ DE DIOS <[email-masked]>
Date: Mon, 25 Aug 2014 18:45:08 +0000

Thanks Adrian,

Good to know there is an ASCII version of the registry.... I did all the tweaking work "by hand" after copying from the page... In any case... we'll post tonight the new version (we were waiting for the confirmation).

Best Regards,

Oscar

Enviado desde mi iPhone

> El 25/08/2014, a las 20:24, "Adrian Farrel" <[email-masked]> escribió:
>
> Hi,
>

---

From: Lou Berger <[email-masked]>
Date: Mon, 25 Aug 2014 16:03:57 -0400

Adrian has it right.  The best way to craft a request for allocation is
to show the exact modification you'd like to see in the exiting IANA
registry (based on the text version).

Lou

---

From: OSCAR GONZALEZ DE DIOS <[email-masked]>
Date: Tue, 26 Aug 2014 19:31:45 +0000

Dear Lou, Deborah, Adrian,

   We have submitted a new version of
draft-ietf-ccamp-rsvp-te-srlg-collect with the IANA Section modified
according to your comments.

   Can you check if the text in the IANA Section is clear enough now to
move forward with the early allocation?

        Best Regards,

                Óscar

El 25/08/14 20:31, "Adrian Farrel" <[email-masked]> escribió:

>Yes, I support this request, but please know that IANA process the
>request not according to the content of your email but based on the text
>in the IANA Considerations section of the most recent revision of the
>draft. So that needs to exactly what you want it to say.
>
>Cheers,
>Adrian
>